#!/usr/bin/env python
# -*- coding: utf-8 -*-

#    Copyright (C) 2009 Luca Vaudano vaudano@gmail.com
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.Warning
import elementary

import logging
log = logging.getLogger("babiloo.efl.aboutPage")

from efl.constants import *

class AboutPage(object):
    def __init__(self, main):
        self.main = main
        self.box = None

    def setupUi(self):

        # Box Window with scroller and quit button
        self.box = elementary.Box(self.main.win)
        self.box.horizontal_set(False)
        self.main.win.resize_object_add(self.box)
        self.box.size_hint_weight_set(1.0, 1.0)
        self.box.size_hint_align_set(-1, -1)
        self.box.show()

        # Scroller
        scroller = elementary.Scroller(self.main.win)
        scroller.bounce_set(0, 0)
        scroller.size_hint_weight_set(1.0, 1.0)
        scroller.size_hint_align_set(-1.0, -1.0)
        self.box.pack_end(scroller)
        scroller.show()

        # Quit button
        self.quitAboutWin = elementary.Button(self.main.win)
        self.quitAboutWin.label_set("Quit")
        self.quitAboutWin.size_hint_align_set(-1.0, 0.0)
        ic = elementary.Icon(self.quitAboutWin)
        ic.file_set( QUIT_ICON)
        ic.smooth_set(1)
        ic.scale_set(1, 1)
        self.quitAboutWin.icon_set(ic)
        self.quitAboutWin.show()
        self.box.pack_end(self.quitAboutWin)

        # Box inside scroller
        boxScroller = elementary.Box(self.main.win)
        boxScroller.horizontal_set(False)
        boxScroller.size_hint_weight_set(1.0, -1.0)
        scroller.content_set(boxScroller)
        boxScroller.show()

        # Frame for dictionary section
        self.createAboutFrame()
        boxScroller.pack_end(self.frameAbout)

    def createAboutFrame(self):
        self.frameAbout = elementary.Frame(self.main.win)
        self.frameAbout.label_set('%s %s' % (APP_NAME, APP_VERSION))
        self.frameAbout.size_hint_align_set(-1.0, 0.0)
        self.frameAbout.show()

	about  = """\
Babiloo is a offline dictionaries reader.\
<br><br>\
<b>Copyright</> 2008-2009, Babiloo Developers<br>\
<b>Licensed</> under the GNU GPL v3<br>\
<b>Homepage</> http://babiloo-project.org</license>\
<br><br>\
The team would like to thank these 3 GPL projects where Babiloo has used part of their codes:\
<br><br>\
QStardict, OpenDict, Sdiqt
<br><br>\
========\
<br><br>\
<b>Elementary UI</>\
<br><br>\
The objective of this module is creating a graphics user interface that emphasizes simplicity and lightness.\
<br><br>\
As development focuses on keeping weight down to a minimum, only the most essential features are implemented. 
It should be simple to use, requires few libraries and starts up quickly.\
<br><br>\
The main target is the openmoko Freerunner cellphone and secondly the netbook.\
<br><br>\
If you need a full-features program, you have to use the QT interface.\
<br><br>\
========\
<br><br>\
<b>Elementary UI features</>\
<br><br>\
* Supports dictionaries in SDictionary and StarDict formats.\
<br><br>\
* Voice capability\
""" 
        entry = elementary.Entry(self.main.win)
        entry.editable_set(False)
        entry.line_wrap_set(True)
        entry.size_hint_align_set(-1, -1)
        entry.entry_set(about)
        entry.show()

        self.frameAbout.content_set(entry)

	    
	    




         
