#!/usr/bin/env python
# -*- coding: utf-8 -*-

#    Copyright (C) 2009 Luca Vaudano vaudano@gmail.com
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.Warning
import cPickle, os.path

from efl.constants import *

class Config():
    
    # Initialization
    def __init__(self):
        
        # if the directory doesn't exist, create it
        if not os.path.exists(CONFIG_DIR):
            os.makedirs(CONFIG_DIR, 0755)
        
        # if the file doesn't exist use default setting, otherwise use it
        if not os.path.exists(CONFIG_FILE):
            self.data = DEFAULT_CONFIGURATION
        else:
            self.data = cPickle.load(open(CONFIG_FILE, 'r'))

        # Flag if the data are to save
        self.toSave = False

    # Save all the configuration settings into the file
    def save(self):
        if self.toSave:
            cPickle.dump(self.data, open(CONFIG_FILE, 'w+'))
            self.toSave = False

    # Get the value from the configuration or default value
    def get(self, name):
        if name not in self.data.keys():
            self.data[name] = DEFAULT_SETTINGS[name]
        return self.data[name]

    # Set a new value
    def set(self, name, value):
        if self.data[name] != value:
            self.data[name] = value
            self.toSave = True