#!/usr/bin/env python
# -*- coding: utf-8 -*-

#    Copyright (C) 2009 Luca Vaudano vaudano@gmail.com
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.Warning
import os.path

APP_NAME = 'Babiloo'
APP_VERSION = '2.0.9'

# Model
ENV_PC = 'pc'
ENV_NEO = 'neo'
ROOT_DIR = '/usr/share/babiloo/'
HOME_DIR = os.path.expanduser("~")
CONFIG_DIR = os.path.join(HOME_DIR, ".config/%s" % APP_NAME.lower())
CONFIG_FILE = os.path.join(CONFIG_DIR, "config.cfg")

# UI
WIDTH_PC = 60
WIDTH_NEO = 33
SCREEN_WIDTH = 480
SCREEN_HEIGHT = 480
ROOT_DIR = '/usr/share/babiloo/'
DICTIONARIES_ICON  = ROOT_DIR + 'images/system-installer.png'
SETTINGS_ICON = ROOT_DIR + 'images/preferences-system.png'
SPEAK_ICON = ROOT_DIR + 'images/speaker.png'
CLEAR_ICON = ROOT_DIR + 'images/clear-right.png'
SEARCH_ICON = ROOT_DIR + 'images/system-search.png'
QUIT_ICON  = ROOT_DIR + 'images/process-stop.png'
ABOUT_ICON =  ROOT_DIR + 'images/dialog-information.png'
NEW_DICTIONARY_ICON = ROOT_DIR + 'images/dictionary-new.png'
NEW_SOUND_DICTIONARY_ICON = ROOT_DIR + 'images/dictionary-new.png'
NEW_PLAYER_ICON = ROOT_DIR + 'images/dictionary-new.png'

# Set to PC value
WIDTH = WIDTH_PC
ENV = ENV_PC

# Retrieve if the hardware is GTA01 or GTA02
# if is, set to NEO value
for line in open('/proc/cpuinfo'):
    if line.startswith('Hardware'):
        type = line.split()
        type =type[len(type)-1]
        if type.startswith('GTA0'):
            ENV = ENV_NEO
            WIDTH = WIDTH_NEO
     
# Default configuration settings
DEFAULT_CONFIGURATION = {
    'dictionary_path': '',
    'sound_dictionary_path': '',
    'player': '/usr/bin/aplay',
}