#!/usr/bin/env python
# -*- coding: utf-8 -*-

#    Copyright (C) 2009 Luca Vaudano vaudano@gmail.com
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.Warning
from main_ui import Ui_Main
from main_model import Model
import elementary

import logging
log = logging.getLogger("babiloo.efl.main")

from efl.constants import *

class Main(Ui_Main, Model):

    def __init__(self, options):	

        # Create UI
        elementary.init()
        self.setupUi()

        # Load database, if already set
        self.loadDatabase()
        
        # Destroy method binding
        self.win.callback_destroy_add(self.destroy, (APP_NAME))
                
        # Start elementary UI
        elementary.run()        
        elementary.shutdown()

def main(options):
    log.debug("Building main dialog")
    Main(options)
    