#!/usr/bin/env python
# -*- coding: utf-8 -*-

#    Copyright (C) 2009 Luca Vaudano vaudano@gmail.com
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.Warning
import elementary

import logging
log = logging.getLogger("babiloo.efl.utils")

from efl.constants import *

class UtilsUi():
    
    # UI for the file selector window
    def fileSelectorUI(self):
        self.fileSelectorWindow = elementary.Window("fileselector", elementary.ELM_WIN_BASIC)
        self.fileSelectorWindow.title_set("File selector")
        self.fileSelectorWindow.autodel_set(True)

        bg = elementary.Background(self.fileSelectorWindow)
        self.fileSelectorWindow.resize_object_add(bg)
        bg.size_hint_weight_set(1.0, 1.0)
        bg.show()

        vbox = elementary.Box(self.fileSelectorWindow)
        self.fileSelectorWindow.resize_object_add(vbox)
        vbox.size_hint_weight_set(1.0, 1.0)
        vbox.show()

        self.fileSelector = elementary.Fileselector(self.fileSelectorWindow)
        # is_save_set what means?
        self.fileSelector.is_save_set(True)
        self.fileSelector.expandable_set(False)
        self.fileSelector.path_set(os.getenv("HOME"))
        self.fileSelector.size_hint_weight_set(1.0, 1.0)
        self.fileSelector.size_hint_align_set(-1.0, -1.0)
        vbox.pack_end(self.fileSelector)
        self.fileSelector.show()

        hbox = elementary.Box(self.fileSelectorWindow)
        hbox.horizontal_set(True)
        vbox.pack_end(hbox)
        hbox.show()

        self.fileSelectorWindow.resize(SCREEN_WIDTH, SCREEN_HEIGHT)
        self.fileSelectorWindow.show()

    # Show only the filename or part of it if longer than width
    def filename_set(self, entry, filename):
        if filename != "":
            
            # If is a directory
            if filename[-1] == '/':
                # Cut last slash
                filename = filename[0:-1]
        
            # Cut the path
            lastSlash = filename.rfind('/')
            filename = filename[lastSlash+1:].strip()
        
            if (len(filename) > WIDTH):
                filename = filename[:WIDTH-3] + '...'
            entry.entry_set(filename)
            log.debug("Selected %s" % filename)
